<?php
include 'config.php';

include 'mailer/vendor/autoload.php';

use PHPMailer\PHPMailer\PHPMailer;

require_once "mailer/PHPMailer.php";
require_once "mailer/SMTP.php";
require_once "mailer/Exception.php";

 function sendMail($email, $subject, $message){

    $mail = new PHPMailer();
    //SMTP Settings (use default cpanel email account)
    $mail->isSMTP();
    $mail->Host = "webtechs.com.ng"; //
    $mail->SMTPAuth = true;
    $mail->Username = "support@webtechs.com.ng"; // Default cpanel email account
    $mail->Password = '@@mailpass##'; // Default cpanel email password
    $mail->Port = 465; // 587
    $mail->SMTPSecure = "ssl"; // tls

    //Email Settings
    $mail->isHTML(true);
    $mail->setFrom('support@webtechs.com.ng','Swift Link'); // Email address/ Bank bane shown to reciever
    $mail->addAddress($email);
    $mail->AddReplyTo("support@webtechs.com.ng", "Swift Link"); // Email address/ Bank bane shown to reciever
    $mail->Subject = $subject;
    $mail->MsgHTML($message);
    $send = $mail->Send();
    return $send;
}
function customAlert($case, $content)
{
  switch ($case) {
    case 'success':
      $mesg =  '<script type="text/javascript">
          $(document).ready(function() {
              swal("Success", "' . $content . '", "success")    
          });
        </script>';
      break;

    case 'error':
      $mesg = '<script type="text/javascript">
              $(document).ready(function() {
                  sweetAlert("Error", "' . $content . '", "error")    
              });
          </script>';
      break;
    default:
      break;
  }
  return $mesg;
}

function pageRedirect($sec, $route)
{
  $c = "<meta http-equiv='refresh' Content='" . $sec . "; url=" . $route . " ' />";
  return $c;
}

?>
